org.jgroups.demos

## Class JmxDemo

- java.lang.Object
- - org.jgroups.demos.JmxDemo

    public class JmxDemo
    extends java.lang.Object

Shows how annotations can be used to expose attributes and operations

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`JmxDemo()`

### Method Summary

Methods
`int` `add(int a, int b)`
`void` `foo()`
`void` `foobar()`
`int` `getAccountNumber()`
`int` `getMaxAge()`
`static int` `getMyFoo()`
`java.lang.String` `getNumberAsString()`
`static boolean` `isFlag()`
`static void` `main(java.lang.String[] args)`
`java.lang.String` `sayName()`
`void` `setAccountNumber(int num)`
`void` `setMaxAge(int age)`
`void` `setMyNumber(long new_number)`
`void` `setNumber(int num)`
`void` `setOtherNumber(int num)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JmxDemo

    public JmxDemo()

### Method Detail

#### foo

    public void foo()

#### setNumber

    public void setNumber(int num)

#### getNumberAsString

    public java.lang.String getNumberAsString()

#### getMyFoo

    public static int getMyFoo()

#### setOtherNumber

    public void setOtherNumber(int num)

#### foobar

    public void foobar()

#### isFlag

    public static boolean isFlag()

#### setMyNumber

    public void setMyNumber(long new_number)

#### setAccountNumber

    public void setAccountNumber(int num)

#### getAccountNumber

    public int getAccountNumber()

#### setMaxAge

    public void setMaxAge(int age)

#### getMaxAge

    public int getMaxAge()

#### sayName

    public java.lang.String sayName()

#### add

    public int add(int a,
          int b)

#### main

    public static void main(java.lang.String[] args)